/* Script 8.6 - editFunctions.js (updated)
 * This script defines the JavaScript functions used to Copy, Cut, and Paste.
 */
 
function doCopy(e) {
  e.preventDefault();
  e.clipboardData.clearData();
  var data = window.getSelection();
  e.clipboardData.setData('text/plain', data);
} // End of doCopy() function.

function doCut(e){
  doCopy(e);
  var data = window.getSelection();
  var r = data.getRangeAt(0);
  r.deleteContents();
} // End of doCut() function.

// Function for pasting data from the clipboard.
// Takes one argument: an event.
function doPaste(e) {
  // Paste text as a new DIV:
  if (e.clipboardData.getData('text/plain')) {
    addDiv( e.clipboardData.getData('text/plain') );
  } else {
    alert('Data type not yet supported!');
  }
} // End of doPaste() function.

// Function for adding new content in a DIV.
// Takes one argument: the content to be added.
function addDiv(content) {
  // Create a new DIV:
  var d = document.createElement('div');
  // Add the content to the DIV:
  d.innerText = content;
  // Add the DIV to the page:
  document.body.appendChild(d);
  // Add a break:
  document.body.appendChild(document.createElement('br'));
} // End of addDiv() function.
